﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GenericValidation.Sample.Model;
using GenericValidation.Validators;

namespace GenericValidation.Sample.Validation
{
    public class SupervisorValidation : Validation<Supervisor>
    {
        public SupervisorValidation(IValidationFactory factory)
        {
            Inherit<Employee>(factory);

            Member(p => p.Office)
                .IsRequired()
                .Always();
                
        }
    }
}
