﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GenericValidation.Validators
{
    /// <summary>
    /// Utility (hardcoded resourcing) class that defines the default templates for the default Member Validators.
    /// </summary>
    public class Templates
    {
        public static string IsLower = "{0} must be lower than {1}.";
        public static string IsGreater = "{0} must be greater than {1}.";
        public static string IsRequired = "{0} is required.";
        public static string IsLengthLower = "{0} length must be lower than {1}; current length is {2}.";
        public static string IsLengthGreater = "{0} length must be greater than {1}; current length is {2}.";
    }
}
